Solved libgdiplus won't build

megapearl

Member

Reaction score: 8
Messages: 86

Hello,

At updating packages using portmaster -a I noticed that libgdiplus won't build anymore.
Tried to make deinstall clean and make install in ports dir but that doesn't make any difference.
When I try to use pkg install libgdiplus another error comes up:
Code:
pkg: jpeg-turbo-1.5.1 conflicts with jpeg-8_7 (installs files into the same place).  Problematic file: /usr/local/bin/cjpeg

When building using ports tree:
Code:
testgdi.o: In function `win_draw':
testgdi.c:(.text+0x1e6): undefined reference to `GdipCreateFromXDrawable_linux'
cc: error: linker command failed with exit code 1 (use -v to see invocation)
gmake[3]: *** [Makefile:622: testgdi] Error 1
gmake[3]: *** Waiting for unfinished jobs....
mv -f .deps/testreversepath.Tpo .deps/testreversepath.Po
gmake[3]: Leaving directory '/usr/ports/x11-toolkits/libgdiplus/work/libgdiplus-4.2/tests'
gmake[2]: *** [Makefile:478: all-recursive] Error 1
gmake[2]: Leaving directory '/usr/ports/x11-toolkits/libgdiplus/work/libgdiplus-4.2'
gmake[1]: *** [Makefile:385: all] Error 2
gmake[1]: Leaving directory '/usr/ports/x11-toolkits/libgdiplus/work/libgdiplus-4.2'
===> Compilation failed unexpectedly.
Try to set MAKE_JOBS_UNSAFE=yes and rebuild before reporting the failure to
the maintainer.
*** Error code 1

Stop.
make: stopped in /usr/ports/x11-toolkits/libgdiplus

===>>> make build failed for x11-toolkits/libgdiplus
===>>> Aborting update

===>>> Update for x11-toolkits/libgdiplus failed
===>>> Aborting update

What else can I try?
 

SirDice

Administrator
Staff member
Administrator
Moderator

Reaction score: 13,148
Messages: 39,758

You need to update your system more often.

/usr/ports/UPDATING:
Code:
20150916:
  AFFECTS: users of graphics/jpeg
  AUTHOR: antoine@FreeBSD.org

  Default implementation of jpeg has been switched from graphics/jpeg to
  graphics/jpeg-turbo.  To perform the upgrade, use instructions below.

  If using binary packages: 'pkg upgrade' will do the right thing.  If it
  doesn't and complains about 'Cannot solve problem using SAT solver', run
  'pkg delete -f jpeg' before 'pkg upgrade'.

  If using portmaster:
  # portmaster -o graphics/jpeg-turbo jpeg

  If using portupgrade:
  # portupgrade -f -o graphics/jpeg-turbo graphics/jpeg

  If you compile your ports and want to keep using IJG's jpeg implementation,
  add this line to your /etc/make.conf file:
  JPEG_PORT=graphics/jpeg
Yes, that's a message from November 2015.
 
OP
megapearl

megapearl

Member

Reaction score: 8
Messages: 86

That's strange, I update almost every week using portmaster -a and freebsd-update fetch install
The pkg upgrade indeed fixed the problem.
 
Top